#
# spec file for package nagios-plugins-zypper (Version 1.26)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           nagios-plugins-zypper
Summary:        Nagios plugin for checking software updates
Version:        1.41
Release:        6.1
Url:            http://en.opensuse.org/Nagios-plugins-zypper
License:        BSD-4-Clause
Group:          System/Monitoring
Source0:        check_zypper.pl
Source1:	updates.cfg
%if 0%{?suse_version} > 1010
# nagios can execute the script with embedded perl
Recommends:     perl 
%endif
Requires:       zypper
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%define		    libexecdir %_prefix/lib/nagios/plugins

%description
This plugin checks for software updates on systems that use package
management systems based on the zypper command found in openSUSE.

It checks for security, recommended and optional patches and also for
optional package updates.

You can define the status by patch category. Use a commata to list more
than one category to a state.

If you like to know the names of available patches and packages, use
the "-v" option.



Authors:
--------
    Lars Vogdt

%prep

%build

%install
install -D -m755 %{SOURCE0} %buildroot/%libexecdir/check_zypper
install -D -m644 %{SOURCE1} %{buildroot}%{_sysconfdir}/nagios/nrpe.d/updates.cfg
mkdir -p %{buildroot}%{_sysconfdir}/zypp
touch %{buildroot}%{_sysconfdir}/zypp/exclude

%clean
rm -rf %buildroot

%files 
%defattr(-,root,root)
# avoid build dependecy of nagios - own the dirs
%dir %_prefix/lib/nagios
%dir %libexecdir
%libexecdir/check_zypper
%dir %{_sysconfdir}/nagios
%dir %{_sysconfdir}/nagios/nrpe.d
%dir %{_sysconfdir}/zypp 
%config(noreplace) %{_sysconfdir}/nagios/nrpe.d/updates.cfg
%config(noreplace) %{_sysconfdir}/zypp/exclude

%changelog
* Mon Dec  9 2013 cs@linux-administrator.com
- add updates.cfg
* Tue Sep 10 2013 cs@linux-administrator.com
- allow SLE_11_SP3 & openSUSE 12.3
